Skip to main content
GET
Get Content Chunks

Authorizations

Authorization
string
header
required

Bearer token authentication using your API key

Path Parameters

org_id
string
required

The ID of the org

content_id
string
required

The ID of the content

Query Parameters

status
enum<string>
Available options:
ALL,
PENDING,
PROCESSING,
PROCESSED,
FAILED
page
number

Page number

take
number

Number of items to take

next
string

Next page token (Only used on special endpoints)

Response

200 - application/json

An array of vector chunks.

id
string
required
content_id
string
required
char_start
number
required
char_end
number
required
chunk_index
number
required
status
enum<string>
required

Status of vector chunk processing

Available options:
PENDING,
PROCESSING,
PROCESSED,
FAILED
error
string | null
required

Error message if vector chunk processing failed

created_at
string<date-time> | null
required
updated_at
string<date-time> | null
required